Debian Bug report logs - #478094
Pos1 and End don't work with screen.rxvt

version graph

Package: ncurses-term; Maintainer for ncurses-term is Craig Small <csmall@debian.org>; Source for ncurses-term is src:ncurses.

Reported by: Sven Hartge <sven@svenhartge.de>

Date: Sun, 27 Apr 2008 02:18:01 UTC

Severity: normal

Found in version ncurses/5.6+20080419-1

Fixed in version ncurses/5.6+20080503-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#478094; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <sven@svenhartge.de>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Hartge <sven@svenhartge.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Pos1 and End don't work with screen.rxvt
Date: Sun, 27 Apr 2008 04:16:31 +0200
Package: ncurses-term
Version: 5.6+20080419-1
Severity: normal

This is a rather unusual report, because I am not 100% sure, where to
file it.

But since it appeared after the latest major ncurses update, I guess I
am quite right with filing it against this package.

At first I didn't notice, because it appears only inside screen and
since my screen session is normally running very long, until a new
terminal and with it a new shell gets startet.

The problem: since the update, Pos1 and End don't work anymore inside
screen. The only changes between a working and a buggy environment are:

-TERMCAP=SC|screen|VT 100/ANSI X3.64 virtual terminal:\
+TERMCAP=SC|screen.rxvt|VT 100/ANSI X3.64 virtual terminal:\

-TERM=screen
+TERM=screen.rxvt

Resetting TERM to the old value brings both keys back to life, setting
it to screen.rxvt makes the bug reappear.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-206
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#478094; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 478094@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Hartge <sven@svenhartge.de>, 478094@bugs.debian.org
Cc: Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#478094: Pos1 and End don't work with screen.rxvt
Date: Sun, 27 Apr 2008 06:41:02 -0400 (EDT)
On Sun, 27 Apr 2008, Sven Hartge wrote:

> Package: ncurses-term
> Version: 5.6+20080419-1
> Severity: normal
>
> This is a rather unusual report, because I am not 100% sure, where to
> file it.
>
> But since it appeared after the latest major ncurses update, I guess I
> am quite right with filing it against this package.
>
> At first I didn't notice, because it appears only inside screen and
> since my screen session is normally running very long, until a new
> terminal and with it a new shell gets startet.
>
> The problem: since the update, Pos1 and End don't work anymore inside
> screen. The only changes between a working and a buggy environment are:

thanks - will check.  I would have noticed this, but rxvt + screen on
my Debian/testing doesn't work together.  The underlying problem is that
some keys (home/end, etc) are #define'd in rxvt's sources and won't
necessarily match on other systems.

( screen.rxvt does fix other keys than the ones you noticed ;-)

>
> -TERMCAP=SC|screen|VT 100/ANSI X3.64 virtual terminal:\
> +TERMCAP=SC|screen.rxvt|VT 100/ANSI X3.64 virtual terminal:\
>
> -TERM=screen
> +TERM=screen.rxvt
>
> Resetting TERM to the old value brings both keys back to life, setting
> it to screen.rxvt makes the bug reappear.
>
> -- System Information:
> Debian Release: lenny/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.25-206
> Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
> Shell: /bin/sh linked to /bin/bash

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#478094; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Sven Hartge <sven@svenhartge.de>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #15 received at 478094@bugs.debian.org (full text, mbox):

From: Sven Hartge <sven@svenhartge.de>
To: Thomas Dickey <dickey@his.com>
Cc: 478094@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#478094: Pos1 and End don't work with screen.rxvt
Date: Mon, 28 Apr 2008 02:48:48 +0200 (CEST)
Um 06:41 Uhr am 27.04.08 schrieb Thomas Dickey:

>> The problem: since the update, Pos1 and End don't work anymore inside
>> screen. The only changes between a working and a buggy environment are:
 
> thanks - will check.  I would have noticed this, but rxvt + screen on
> my Debian/testing doesn't work together.  The underlying problem is that
> some keys (home/end, etc) are #define'd in rxvt's sources and won't
> necessarily match on other systems.

Interesting. I use 

rxvt-xpm -geometry 99x35 -bg black -fg grey67 -fn 
-misc-fixed-medium-r-normal-*-*-200-*-*-c-*-iso8859-15 -sr -sl 5000 -ls

and never had any problems with screen (on a remote server connected via 
ssh) until now.

If you tell me, how to display the different codes Pos1 and End produce 
with TERM=screen and TERM=screen.rxvt, I may me able to aid your debugging 
efforts.

S°

-- 
Sven Hartge -- professioneller Unix-Geek
Meine Gedanken im Netz: http://www.svenhartge.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#478094; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #20 received at 478094@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 478094@bugs.debian.org
Subject: screen under mrxvt
Date: Mon, 28 Apr 2008 10:56:22 +1000
[Message part 1 (text/plain, inline)]
i also experienced the same problem, with screen running under mrxvt.

I've fixed it on my system by, editing my .bashrc to set
TERM="screen.mrxvt", and creating a local terminfo entry for
screen.mrxvt.

screen.mrxvt.src attached, along with diff between screen.rxvt.src
and screen.mrxvt.src

the changes are:

    kend=\E[4~
    khome=\E[1~
    delete kfnd, kslt

i don't use plain rxvt, so i don't know if my changes are appropriate
for rxvt or not.


craig

-- 
craig sanders <cas@taz.net.au>
[screen.mrxvt.src (application/x-wais-source, attachment)]
[screen.rxvt-mrxvt.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#478094; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #25 received at 478094@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Hartge <sven@svenhartge.de>
Cc: 478094@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#478094: Pos1 and End don't work with screen.rxvt
Date: Sun, 27 Apr 2008 21:02:36 -0400 (EDT)
On Mon, 28 Apr 2008, Sven Hartge wrote:

> Um 06:41 Uhr am 27.04.08 schrieb Thomas Dickey:
>
>>> The problem: since the update, Pos1 and End don't work anymore inside
>>> screen. The only changes between a working and a buggy environment are:
>
>> thanks - will check.  I would have noticed this, but rxvt + screen on
>> my Debian/testing doesn't work together.  The underlying problem is that
>> some keys (home/end, etc) are #define'd in rxvt's sources and won't
>> necessarily match on other systems.
>
> Interesting. I use
>
> rxvt-xpm -geometry 99x35 -bg black -fg grey67 -fn
> -misc-fixed-medium-r-normal-*-*-200-*-*-c-*-iso8859-15 -sr -sl 5000 -ls
>
> and never had any problems with screen (on a remote server connected via
> ssh) until now.

Odd - it's working at the moment, but consistently refused to start
screen last week.   So I can give more info:  on my keyboard, I have
keys labeled Home/End, which I suppose are equivalent to Pos1/End that
you're referring to.  tack says they're kfnd/kslt (Find/Select).  That's
within screen.  Outside, they're khome/kend.

But the terminfo has both defined.  What I suppose is happening is that 
'screen' (based on termcap interface) is choosing one, and tack (based on 
terminfo) is choosing the other.

curses-based apps would choose the first entry in the table of strings- I 
don't recall if tack uses that rule.  screen has its own tables.

So it'll take a little study to see how to appease screen in this area.
(The screen.rxvt already accounts for the differences that I did notice,
e.g., screen is mapping F1-F4).

> If you tell me, how to display the different codes Pos1 and End produce
> with TERM=screen and TERM=screen.rxvt, I may me able to aid your debugging
> efforts.

The easy way is to run "cat -v", and type the keys you're looking for.
That would echo things like ^[[A^[[C^[[B

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#478094; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #30 received at 478094@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Hartge <sven@svenhartge.de>
Cc: 478094@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#478094: Pos1 and End don't work with screen.rxvt
Date: Tue, 29 Apr 2008 07:53:23 -0400 (EDT)
On Mon, 28 Apr 2008, Sven Hartge wrote:

> Um 06:41 Uhr am 27.04.08 schrieb Thomas Dickey:
>
>>> The problem: since the update, Pos1 and End don't work anymore inside
>>> screen. The only changes between a working and a buggy environment are:
>
>> thanks - will check.  I would have noticed this, but rxvt + screen on
>> my Debian/testing doesn't work together.  The underlying problem is that
>> some keys (home/end, etc) are #define'd in rxvt's sources and won't
>> necessarily match on other systems.
>
> Interesting. I use
>
> rxvt-xpm -geometry 99x35 -bg black -fg grey67 -fn
> -misc-fixed-medium-r-normal-*-*-200-*-*-c-*-iso8859-15 -sr -sl 5000 -ls
>
> and never had any problems with screen (on a remote server connected via
> ssh) until now.
>
> If you tell me, how to display the different codes Pos1 and End produce
> with TERM=screen and TERM=screen.rxvt, I may me able to aid your debugging
> efforts.

I spent some time last night investigating it.  The underlying issue is
that screen does more than would be apparent from this paragraph:

       When screen tries  to  figure  out  a  terminal  name  for
       itself, it first looks for an entry named "screen.<term>",
       where <term> is the contents of your $TERM  variable.   If
       no such entry exists, screen tries "screen" (or "screen-w"
       if the terminal is wide (132 cols or more)).  If even this
       entry cannot be found, "vt100" is used as a substitute.

I'd already noticed that it did something odd with home/end keys, but
when making screen.rxvt saw that it "ignored" the values for kf1-kf4
in screen.rxvt -- so I set values to match what screen actually passed.

screen sees the key-definitions in "screen.<term>" and translates them to 
the corresponding strings in "screen", rather than passing them through 
unchanged.  So it saw that kfnd was defined for \E[1~ in "screen.rxvt",
it mapped that to the "screen" kfnd.

Here's an improved definition:

screen+fkeys|function-keys according to screen,
        kend=\E[4~, kf1=\EOP, kf2=\EOQ, kf3=\EOR, kf4=\EOS, kfnd@,
        khome=\E[1~, kslt@,
screen.rxvt|screen in rxvt,
        bw,
        cvvis@, flash@, kcub1=\EOD, kcud1=\EOB, kcuf1=\EOC,
        kcuu1=\EOA, use=screen+fkeys, use=vt100+enq,
        use=rxvt+pcfkeys, use=vt220+keypad, use=screen,


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Hartge <sven@svenhartge.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 478094-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 478094-close@bugs.debian.org
Subject: Bug#478094: fixed in ncurses 5.6+20080503-1
Date: Tue, 06 May 2008 12:02:22 +0000
Source: ncurses
Source-Version: 5.6+20080503-1

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib64ncurses5-dev_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5-dev_5.6+20080503-1_i386.deb
lib64ncurses5_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/lib64ncurses5_5.6+20080503-1_i386.deb
libncurses5-dbg_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.6+20080503-1_i386.deb
libncurses5-dev_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.6+20080503-1_i386.deb
libncurses5_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.6+20080503-1_i386.deb
libncursesw5-dbg_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.6+20080503-1_i386.deb
libncursesw5-dev_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.6+20080503-1_i386.deb
libncursesw5_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.6+20080503-1_i386.deb
ncurses-base_5.6+20080503-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.6+20080503-1_all.deb
ncurses-bin_5.6+20080503-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.6+20080503-1_i386.deb
ncurses-term_5.6+20080503-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.6+20080503-1_all.deb
ncurses_5.6+20080503-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.6+20080503-1.diff.gz
ncurses_5.6+20080503-1.dsc
  to pool/main/n/ncurses/ncurses_5.6+20080503-1.dsc
ncurses_5.6+20080503.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.6+20080503.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478094@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue,  6 May 2008 13:27:00 +0200
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source i386 all
Version: 5.6+20080503-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 lib32ncurses5 - Shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - Developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - Shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - Developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - Shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - Developer's libraries for ncurses (64-bit)
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 478094
Changes: 
 ncurses (5.6+20080503-1) unstable; urgency=low
 .
   * New upstream patch level:
     - Modifies screen.* terminfo entries using new screen+fkeys to fix
       overridden keys in screen.rxvt (Closes: #478094).
Checksums-Sha1: 
 993b59c112ea53ddc8e334132f3641a3178e705e 1401 ncurses_5.6+20080503-1.dsc
 22b15094c6f8f07ab70c53738a8cf8a5c5ed80cd 2459329 ncurses_5.6+20080503.orig.tar.gz
 9b084e9d91e663ca5c29bee2ad297dc8b102b9b8 38090 ncurses_5.6+20080503-1.diff.gz
 246b873828466acecb1e1b90a8ef2d9a2f3139e4 327122 libncurses5_5.6+20080503-1_i386.deb
 4180bf924436d7880c293ca88b9bed67068f3217 1504944 libncurses5-dev_5.6+20080503-1_i386.deb
 92764ec4a629cf79cfddf2ba88e453f189cd4925 1566088 libncurses5-dbg_5.6+20080503-1_i386.deb
 694e82925ae541092c0e88f66cefc0e127caea31 349126 libncursesw5_5.6+20080503-1_i386.deb
 9193f5708058bc4e4ba8a7b70426e9a2d7692e0e 466402 libncursesw5-dev_5.6+20080503-1_i386.deb
 6208b9d2ea5845df8cad1025fec5bab9bd7a449e 1744826 libncursesw5-dbg_5.6+20080503-1_i386.deb
 42cdab6a6d68ab1252155ffd36f2f2f894a1f296 339826 lib64ncurses5_5.6+20080503-1_i386.deb
 02c75f44fde08198ec16bfada3a142bb1347d5a4 406870 lib64ncurses5-dev_5.6+20080503-1_i386.deb
 4987b11664e16931cc7fe6ce29617b7ef20355d1 133866 ncurses-bin_5.6+20080503-1_i386.deb
 9371614db4f18d1deb776b878f8067da39574310 13200 ncurses-base_5.6+20080503-1_all.deb
 8a541aef2ec80aa59147248b038a8da03f2c92a0 348620 ncurses-term_5.6+20080503-1_all.deb
Checksums-Sha256: 
 98aae423421df72fd8afed38eedaf8cf082e547cd472797efa3fe0b109f0034b 1401 ncurses_5.6+20080503-1.dsc
 f2916461c523ba6738c2b751086b38de7d3bfa966803cea091f8fa05fc270423 2459329 ncurses_5.6+20080503.orig.tar.gz
 d9ab9b2b529f26db0d72c0102e724dca198c608be481845ec32bee39b4d8291c 38090 ncurses_5.6+20080503-1.diff.gz
 2365d41df9586ac459362f0e67985780fbf2fc0c693cdd7bd8b2744f9762aa9c 327122 libncurses5_5.6+20080503-1_i386.deb
 b736c640536b5466992905e67dab5185ccf3253b8683058c49561af94862920d 1504944 libncurses5-dev_5.6+20080503-1_i386.deb
 343c3c454b7a47b252f1b33325c22f1a637f0f7676824185841021bf72fcd02f 1566088 libncurses5-dbg_5.6+20080503-1_i386.deb
 dcb18d70807da1c0694ec36c60f28fd6fe60938de1fc81cb9485e3d6f95b3b32 349126 libncursesw5_5.6+20080503-1_i386.deb
 832ccf4c00e78cada2d187410c85a370ea386f5eff9ee96f6081dfe5428e44b9 466402 libncursesw5-dev_5.6+20080503-1_i386.deb
 00c0880c68465773fd1fa5a1e5058a6c608ec14dea876515a9136b63398dd139 1744826 libncursesw5-dbg_5.6+20080503-1_i386.deb
 f73811b1c91690af4896b14c8a58215cd61ee16a99b2f206e8e71a0802f7a58e 339826 lib64ncurses5_5.6+20080503-1_i386.deb
 16fc2b45c8fa30b4414dcda56796664f0b0a7cfc7e1bc9fcaadb45b298345a78 406870 lib64ncurses5-dev_5.6+20080503-1_i386.deb
 75fc875ab11adb5a9958c96939d14a7c514d8f18bdee087a261e60c7175f2a3f 133866 ncurses-bin_5.6+20080503-1_i386.deb
 bdb698b3352843d566bd6ad52c37cd2c24bd8cbb6526e7e756716251d554fbf6 13200 ncurses-base_5.6+20080503-1_all.deb
 b7a120309c8239960fda4bbe0ada1e231a67465a43a4b005a1d0479b9ac85e67 348620 ncurses-term_5.6+20080503-1_all.deb
Files: 
 2e35a816aeecb81a9fabcba5ac3cab9f 1401 libs standard ncurses_5.6+20080503-1.dsc
 406fc58e6d087e38329e3fd9815c3be5 2459329 libs standard ncurses_5.6+20080503.orig.tar.gz
 320a978ec7e67510b9320de908334b5a 38090 libs standard ncurses_5.6+20080503-1.diff.gz
 99c5f6482086fe09e99d542a5e5f6070 327122 libs required libncurses5_5.6+20080503-1_i386.deb
 a69cb0096f12b6819f87c7a9b3edadfb 1504944 libdevel optional libncurses5-dev_5.6+20080503-1_i386.deb
 e9cecba298c73d298d51e1023bfa2e5b 1566088 libdevel extra libncurses5-dbg_5.6+20080503-1_i386.deb
 87985179606ab291e6273b0a0e330822 349126 libs important libncursesw5_5.6+20080503-1_i386.deb
 d546d92e414fd70f8828bb1fc667f590 466402 libdevel optional libncursesw5-dev_5.6+20080503-1_i386.deb
 e193dbdd04ab845093ec9bd1c8a22189 1744826 libdevel extra libncursesw5-dbg_5.6+20080503-1_i386.deb
 b23de453cd11f5b0c6bf64f59bb9fb5a 339826 libs optional lib64ncurses5_5.6+20080503-1_i386.deb
 f355a4a2bb5ec880089f1499c8b63ff0 406870 libdevel optional lib64ncurses5-dev_5.6+20080503-1_i386.deb
 10c76f5ccbde543cedced88bbfb4490a 133866 utils required ncurses-bin_5.6+20080503-1_i386.deb
 7052587d40e1ad6efdefeb033c28cae2 13200 utils required ncurses-base_5.6+20080503-1_all.deb
 6c656c2f826d7fe2345fbaa5d3df5201 348620 admin standard ncurses-term_5.6+20080503-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIIESa+C5cwEsrK54RAvK6AJoC1sh5k9C8X3EgAF4uEYrlFKOO8gCgq6aC
3vif3oBF4JFAu9khMBhH7r0=
=fScb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jun 2008 07:35:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:36:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.